none
我使用的是win 7 x64 ,目前急需安装SQL2008,提示没有安装powershell 2.0 RRS feed

  • 问题

  • 大家好,我现在使用的是win 7 x64 (简体中文版),目前我急需安装SQL2008,提示没有安装powershell 2.0

    于是,我下载了powershell 2.0,却安装不上。

    错误提示:

    安装程序遇到错误:0x80070422

    无法启动服务,原因可能是已被禁用或与其相关联的设备没有启动。

    请大家帮帮我,我真不知道是什么服务没有启动,或者是我的系统哪里出错了。

    非常感谢!!!

    2012年10月5日 16:36

答案

  • PowerShell 2.0 安装程序是给 Windows Vista/Server 2008(非 R2)设计的。
     
    Windows 7/Server 2008 R2 已经提供了 PowerShell 2.0,在“打开或关闭 Windows 功能”里找找。
     
    --
    Alexis Zhang
     
    http://mvp.support.microsoft.com/profile/jie
    http://blogs.itecn.net/blogs/alexis
     
    推荐以 NNTP Bridge 桥接新闻组方式访问论坛以获取最佳用户体验。
     
    本帖是回复帖,原帖作者是楼上的 "isNul"
     
    大家好,我现在使用的是win 7 x64 (简体中文版),目前我急需安装SQL2008,提示没有?沧皃owershell 2.0
    于是,我下载了powershell 2.0,却安装不上。
     
     
    2012年10月5日 22:19

全部回复

  • PowerShell 2.0 安装程序是给 Windows Vista/Server 2008(非 R2)设计的。
     
    Windows 7/Server 2008 R2 已经提供了 PowerShell 2.0,在“打开或关闭 Windows 功能”里找找。
     
    --
    Alexis Zhang
     
    http://mvp.support.microsoft.com/profile/jie
    http://blogs.itecn.net/blogs/alexis
     
    推荐以 NNTP Bridge 桥接新闻组方式访问论坛以获取最佳用户体验。
     
    本帖是回复帖,原帖作者是楼上的 "isNul"
     
    大家好,我现在使用的是win 7 x64 (简体中文版),目前我急需安装SQL2008,提示没有?沧皃owershell 2.0
    于是,我下载了powershell 2.0,却安装不上。
     
     
    2012年10月5日 22:19
  • 可以用Get-host 或者 $PSVersionTable命令来查看PowerShell的版本。



    Tracy Cai

    TechNet Community Support

    2012年10月9日 4:34
    版主